В Adobe Flash найдена критическая уязвимость

В единственном плагине для flash - Adobe Flash Player, найдена критическая уязвимость, которая давала возможность злоумышленнику исполнить свой вредоносный код, после открытия пользователем заранее сформированного специальным образом swf-файла. Такой файл может размещаться как на любом посещаемом сайте, так и в каком-то приложении или с использованием спам-рассылок.

Эта уязвимость присутствует во всех версиях Adobe Flash Player, вплоть до 10.2.152.33. Уязвимость замечена на операционных системах Windows, MacOS, Linux, Solaris и Android. Те люди, которые работают от имени root и от имени Администратора получают дополнительную головную боль, так как по некоторым сообщениям уже были замечены несколько успешных атак с использованием этой "дыры". Реализация этих атак осуществлялась через e-mail-рассылку.

Компания Adobe планирует только 21 марта 2011 года выпустить обновление своего продукта с исправлением этой ошибки. Не дожидаясь разработчиков из Adobe, компания Google уже выпустило готовое решение для сложившейся проблемы в виде обновленной версии своего браузера - Chrome. В этих новых версиях браузера интегрирован Flash Player, который исключает возможность проникновения через эту уязвимость.